using DragonVideoPlayer.Properties;
using System.Diagnostics;


namespace DragonVideoPlayer
{


    public partial class Version : Form
    {


        public Version()
        {


            InitializeUI();
            this.Load += Form1_Load;
        }


        private void InitializeUI()
        {
            // フォーム設定（InfoForm）
            this.Text = "DragonVideoPlayer";
            this.Width = 300;
            this.Height = 400;


            //String label_txt = "動画情報" + Environment.NewLine;
            PictureBox pic; pic = new PictureBox();

            pic.Image = Resources.prof;

            // 位置とサイズ
            pic.Location = new Point(0, 0);
            pic.Size = new Size(256, 256);

            // 画像表示方法
            pic.SizeMode = PictureBoxSizeMode.Zoom;
            Label main_text = new Label();
            LinkLabel link = new LinkLabel();
            link.Location = new Point(256, 0);
            link.Text = "私立メロン高校パソコン部";

            link.Location = new Point(0, 300);
            link.Width = 200;
            link.Links.Add(0, link.Text.Length, "https://shimarisu.ie-t.net/DragonVideoPlayer.html");

            link.LinkClicked += (s, e) =>
            {
                Process.Start(new ProcessStartInfo
                {
                    FileName = e.Link.LinkData.ToString(),
                    UseShellExecute = true
                });
            };
            main_text.Text = "DragonVideoPlayer ver2.2.8(2026/8/4)";


            main_text.Location = new Point(0, 260);
            main_text.AutoSize = true;          // 文字サイズに合わせる
            main_text.Font = new Font("Yu Gothic UI", 12);
            main_text.ForeColor = Color.Black;
            // フォームに追加
            this.Controls.Add(pic);


            this.Controls.Add(main_text);
            this.Controls.Add(link);
        }
        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            // クリックされた部分の LinkData (URL) を取得して開く
            string target = e.Link.LinkData as string;
            if (!string.IsNullOrEmpty(target))
            {
                Process.Start(new ProcessStartInfo { FileName = target, UseShellExecute = true });
            }
        }
        private async void Form1_Load(object sender, EventArgs e)
        {


        }



    }
}